Search
K
Policy Transactions

Party Change request

Validate Business Rules for Payee/Payor/Owner/TPD/Beneficiary and Add new Payee/Payor/Owner/ThirdPartyDesignee/PrimaryBeneficiary/ContingentBeneficiary based on the request

post

Path Parameters

planCodestringrequired
policyNumberstringrequired
partyIdstringrequired
partyRolestringrequired

Party for which details are being entered. Possible values are - Owner, Payor, Payee, PrimaryBeneficiary, ContingentBeneficiary, ThirdPartyDesignee

Allowed values:PayeePayorOwnerThirdPartyDesigneePrimaryBeneficiaryContingentBeneficiary

Example:Owner

Body

application/json

PartyChangeRequest

correlationIdstring

The unique ID to track transaction request across all systems

Example:5df63b47-54fc-4905-a8ff-e1c5f12e667d

effectiveDatestring(date)required

Date the Party was added to the Policy

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

customerIdstring

TBD

Example:0017b000010N4bCAAS

relationshipToInsuredstring

Option available for Owner, Payor, TPD and Beneficiary

Allowed values:TRUSTEETRUSTEEOFMINORTRUSTEEOFINCOMPETENTPOWEROFATTORNEYCONTROLLINGPERSONOFENTITYBROTHERCHILDDAUGHTERDOMESTICPARTNEREXECUTORSFATHERFIANCEGRANDCHILDLIFEPARTNERMOTHERSISTERSONSPOUSESTEPFATHERSTEPMOTHERSELFOTHER

partyobjectrequired
Show Child Parameters
caseIdstring

Zinnia Live Case ID

Example:CA0000007389

deleteRequestboolean

Flag for delete or update request. If flag==true then Delete Request else Update Request

Default:false

Response

application/json

Success

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

post/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/{partyRole}/validation

Body

{ "effectiveDate": "effectiveDate", "party": {} }
 
application/json

Freelook cancellation request

If freelook endDate is less than or equal to policy effective Date, cancel the policy based on the request

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Body

application/json

FreeLookCancellationRequest

correlationIdstring

The unique ID to track transaction request across all systems

Example:657b717b7dcf554abf9ef067

effectiveDatestring(date)required

Date (with pattern “yyyy-mm-dd”)

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

transactionAmountsobjectrequired
Show Child Parameters
payeeOrBeneficiaryobject
Show Child Parameters
partiesarray[object]required
Show Child Parameters
reverseInitiatorboolean

Property to isolate source transaction(s) that initiated the reversal

caseIdstring

Zinnia Live Case ID

Example:CA0000007389

Response

application/json

Success

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

post/policy/v1/transactions/{planCode}/{policyNumber}/freelookcancellation/eligibilitycheck

Body

{ "effectiveDate": "effectiveDate", "transactionAmounts": { "disbursementType": "GROSS", "disbursementPaymentForm": "DTCC" }, "parties": [ { "partyId": "Party_PI_1", "paymentForm": "DTCC", "allocationPercentage": 100 } ] }
 
application/json

Address Change Request

put

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

partyIdstringrequired

PartyId for which address need to be updated it be avaible under SOR Policy Details

addressIdinteger(int32)required

AddressId for which address need to be updated it be avaible under SOR Policy Details

Body

application/json

AddressChangeRequest

correlationIdstring

The unique ID to track transaction request across all systems

Example:657b717b7dcf554abf9ef067

preferredAddressIndicatorstringrequired

Indicates whether the address being added should be set as default or not.

Allowed values:TrueFalse

reverseInitiatorboolean

Property to isolate source transaction(s) that initiated the reversal

Default:false

effectiveDatestring(date)required

Date (with pattern “yyyy-mm-dd”)

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

addressobjectrequired
Show Child Parameters
caseIdstring

Zinnia Live Case ID

Example:CA0000007389

deleteRequestboolean

Flag for delete or update request. If flag==true then Delete Request else Update Request

Default:false

Response

application/json

Success

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

put/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/address/{addressId}

Body

{ "preferredAddressIndicator": "True", "effectiveDate": "effectiveDate", "address": { "startDate": "startDate", "addressType": "RESIDENCE", "addressLine1": "1112 Pickle Street", "city": "Houston", "state": "AL", "zipCode": "66636", "country": "US" } }
 
application/json

Eligibility Check Email Address Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Response

application/json

Email Address Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/emailaddress/eligibilitycheck
 
application/json

Eligibility Check Address Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Response

application/json

Email Address Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/address/eligibilitycheck
 
application/json